Bug 1459989 - Service dialog is created without extra_vars
Service dialog is created without extra_vars
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
All All
unspecified Severity medium
: GA
: 5.8.1
Assigned To: Lucy Fu
Shveta
ui:ansible:service
: Reopened, ZStream
Depends On: 1450102
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 14:34 EDT by Satoe Imaishi
Modified: 2017-08-02 13:27 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1450102
Environment:
Last Closed: 2017-08-02 13:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 14:36:25 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9832165eb7cd0a3433423ac10aa41594bc89f765

commit 9832165eb7cd0a3433423ac10aa41594bc89f765
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri May 19 10:17:19 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 14:34:44 2017 -0400

    Merge pull request #15120 from lfu/svc_dialog_extra_vars_1450102
    
    Use extra_vars to create a new dialog when editing Ansible playbook service template.
    (cherry picked from commit 0613afbae8583e679d70aa932962235709aa96e1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459989

 app/models/dialog/ansible_playbook_service_dialog.rb       | 14 +++++++-------
 app/models/service_template_ansible_playbook.rb            |  6 +++---
 spec/models/dialog/ansible_playbook_service_dialog_spec.rb | 14 +++++++-------
 3 files changed, 17 insertions(+), 17 deletions(-)
Comment 3 Shveta 2017-06-28 16:05:21 EDT
Fixed in 5.8.1.0.20170623170756_3ed4411
Comment 5 errata-xmlrpc 2017-08-02 13:27:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.